Create Order
The "Create Order" API endpoint allows merchants to create an order for processing a payment. The API takes the necessary order information and customer details and returns a unique order ID and a pay
POST /v1/payments/createOrderRequestCode Example: Axios POST Request
await axios.post(
"https://api.upitranzact.com/v1/payments/createOrderRequest",
{
mid: "Your Merchant ID", // Example: ABC
amount: "Numeric value between 1-100000", // Example: 200
order_id: "Unique order ID", // Example: bd79da4cc3ff1 (optional)
redirect_url: "https://example.com/success",
note: "Add money", // Payment remark
customer_name: "John",
customer_email: "john@example.com",
customer_mobile: "Your Customer Mobile", // Correct value needed
},
{
headers: {
Authorization: "Basic base64(public_key:secret_key)"
}
}
);Key Points
Name
Value
Name
Type
Description
Example Value
Required
Last updated